Skip to content

Resolved effective config

GET
/api/v1/objects/{id}/effective-config
curl --request GET \
--url https://example.com/api/v1/objects/example/effective-config \
--header 'Authorization: Bearer <token>'
id
required
string

OK

Media typeapplication/json
object
spec
required
object
address
string
args
Array<string>
checkCommand
string
checkPeriod
string
contactGroups
Array<string>
contacts
Array<string>
enableChecks
boolean
enableFlapDetection
boolean
enableNotifications
boolean
flapThresholdHigh
number
flapThresholdLow
number
interval
integer
maxCheckAttempts
integer
notificationPeriod
string
notifyOn
Array<string>
parents
Array<string>
retryInterval
integer
runbook
string
stalenessAfter
integer
stalenessText
string
templates
Array<string>
thresholdMode
string
timeout
integer
vars
object
key
additional properties
string
zone
string
templateChain
required
Array<string>
Examplegenerated
{
"spec": {
"address": "example",
"args": [
"example"
],
"checkCommand": "example",
"checkPeriod": "example",
"contactGroups": [
"example"
],
"contacts": [
"example"
],
"enableChecks": true,
"enableFlapDetection": true,
"enableNotifications": true,
"flapThresholdHigh": 1,
"flapThresholdLow": 1,
"interval": 1,
"maxCheckAttempts": 1,
"notificationPeriod": "example",
"notifyOn": [
"example"
],
"parents": [
"example"
],
"retryInterval": 1,
"runbook": "example",
"stalenessAfter": 1,
"stalenessText": "example",
"templates": [
"example"
],
"thresholdMode": "example",
"timeout": 1,
"vars": {
"additionalProperty": "example"
},
"zone": "example"
},
"templateChain": [
"example"
]
}

Problem Details (RFC 9457)

Media typeapplication/problem+json
object
code
required
string
detail
string
instance
string
status
required
integer
title
required
string
type
required
string
Examplegenerated
{
"code": "example",
"detail": "example",
"instance": "example",
"status": 1,
"title": "example",
"type": "example"
}